<html version="2.0">
<head>
<title>Node Balance and Node Terminals</title>
</head>
<body>
<center>
<a name="NodeBalance">
<h1>LDAS Beowulf Node Balance</h1>
</center>
<br><br>
<h2>Node Balance</h2><p>
This page displays a list of nodes in the Beowulf system when connected to
a site.  <p>

<img src='cmonClient-nodes.gif' width="850" height="600"><p><p>
<ol>
<p><p>
<li>To delete an existing node, click on node and select <b>delete</b>. To
delete a range of nodes , set the range and hit the <font color='red'>Delete</font>
to mark them for delete. Only valid node ranges will be set. You can hit 
<font color='purple'>Undo</font>
to undo the change.</li><p>
<li>To add new nodes, enter the node name in the entries on the right.
To add a range of nodes , set the range and hit the <font color='purple'>Add</font>
to enter them in the add entries on the right. Only non duplicated node ranges up to
a maximum will be set. You can hit <font color='purple'>Undo</font>
to undo the change.</li><p></li><p>
<li>Hit <b>SUBMIT</b> to submit the request to server.</li><p>
<li>A confirmation dialog comes up to inform you of the exact request 
and what you can undo. Hit <b>Yes</b> on confirmation dialog to confirm the submit.
You can add or delete in separate requests. </li> <p>
<li>When the server returns the response, <b>Undo Last Change</b> button is
enabled so you can undo the last change as mentioned in the confirmation dialog.</li><p>
<li>The following buttons faciliate making node changes:<p> 
	<ul>
	<li><b>Reset Screen Changes</b> resets all node deletions and clears out new nodes
		in the entries. </li>
	<li><b>Reset Active Nodes </b> resets all node deletions. </li>
	<li><b>Clear Add Nodes </b> resets all nodes in the addition entries. </li>
	</ul>
</li>
</li>
<p>
<li>Login to a node as follows:
<p>
<ol>
<li>Click on node and select <b>login</b></li><p>
<li>Select an X terminal type e.g. xterm or rxvt</li><p>
<li>Enter a valid beowulf user Id.</li><p>
<li>Hit <b>SUBMIT</b> button to invoke secured shell ( openssh ) connection into the LDAS gateway.</li><p>
<li>Enter the password for the user Id on the gateway terminal,
e.g. the window that has the title e.g. <i>ldas@ldas-dev.ligo.caltech.edu.</i></li><p>
<li>When the password has been accepted, the X terminal to the node
will be displayed on your terminal for you to submit unix commands to the node. </li><p>
</ol>
<img src='cmonClient-nodeTerm.gif' width="800" height="200"><p><p>
</ol>
<p>
</body>
</html>
